package com.fanruan.api.decision;

import com.fr.decision.authority.base.constant.AuthorityStaticItemId;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-09-19
 * 权限相关的工具类
 */
public class AuthorityKit {

    /**
     * 内置管理系统节点id
     */
    public static class Management{
        public static final String USER = AuthorityStaticItemId.DEC_MANAGEMENT_USER_ID;

        public static final String AUTHORITY = AuthorityStaticItemId.DEC_MANAGEMENT_AUTHORITY_ID;

        public static final String DIRECTORY = AuthorityStaticItemId.DEC_MANAGEMENT_DIRECTORY_ID;

        public static final String APPEARANCE = AuthorityStaticItemId.DEC_MANAGEMENT_APPEARANCE_ID;

        public static final String CONNECTION = AuthorityStaticItemId.DEC_MANAGEMENT_CONNECTION_ID;

        public static final String SYSTEM = AuthorityStaticItemId.DEC_MANAGEMENT_SYSTEM_ID;

        public static final String SCHEDULE = AuthorityStaticItemId.DEC_MANAGEMENT_SCHEDULE_ID;

        public static final String MOBILE = AuthorityStaticItemId.DEC_MANAGEMENT_MOBILE_ID;

        public static final String REGISTER = AuthorityStaticItemId.DEC_MANAGEMENT_REGISTER_ID;

        public static final String PLUGIN = AuthorityStaticItemId.DEC_MANAGEMENT_PLUGIN_ID;

        public static final String SECURITY = AuthorityStaticItemId.DEC_MANAGEMENT_SECURITY_ID;

        public static final String TEMPLATE = AuthorityStaticItemId.DEC_MANAGEMENT_TEMPLATE_ID;

        public static final String MAP = AuthorityStaticItemId.DEC_MANAGEMENT_MAP_ID;

        public static final String MAINTENANCE = AuthorityStaticItemId.DEC_MANAGEMENT_MAINTENANCE_ID;
    }
}
