package com.fanruan.api.cluster.state;

import com.fr.collections.api.Codec;
import com.fr.collections.config.redis.RedisCollectionConfig;

/**
 * Redis 集合相关配置
 * @author Dylan.Liu
 * @version 10.0
 * Created by Dylan.Liu on 2019/12/3
 */
public class BaseRedisCollectionConfig extends RedisCollectionConfig {

    public BaseRedisCollectionConfig(Codec codec, String host, int port) {

        super(codec, host, port);
    }

    public BaseRedisCollectionConfig(String host, int port, String password) {

        super(host, port, password);
    }

    public BaseRedisCollectionConfig() {

        super();
    }

    public BaseRedisCollectionConfig(String host, int port) {

        super(host, port);
    }
}
