package com.fanruan.api.cluster.state;

import com.fr.store.impl.redis.accessor.FineJedisPool;
import com.fr.store.impl.redis.accessor.FineJedisWrapper;

/**
 * @author Dylan.Liu
 * @version 10.0
 * Created by Dylan.Liu on 2019/12/3
 */
public class FineJedisPoolKit {

    /**
     * 设置提供真实资源的 Jedis 包装对象
     * @param jedisWrapper Jedis 包装对象
     */
    public static void setRealClient(FineJedisWrapper jedisWrapper) {

        FineJedisPool.getInstance().setRealClient(jedisWrapper);
    }
}
